<?php

	$routes = array(
		'/' => 'welcome.php',
		'/subscription' => 'subscription.php',
		'/subscribe' => 'subscribe.php',
		'/players' => 'players.php',
		'/player' => 'player.php'
	);
	
	$mimes = array(
		'css' => 'text/css',
		'jpg' => 'image/jpeg',
		'png' => 'image/png',
		'jpeg' => 'image/jpeg',
		'js' => 'text/javascript',
		'php' => 'text/html; charset=utf8',
		'html' => 'text/html; charset=utf8'
	);
	
	$uri = explode('?', $_SERVER['REQUEST_URI'])[0];
	$n = count($uri)-1;
	if($n>1 && $uri[$n] == '/'){
		$uri = substr($uri, 0, $n);
	}
	$uri = preg_replace('/\/[.]+\//', '/', str_replace('//', '/', '/' . strtolower($uri)));
	if(isset($routes[$uri])){
		$route = $routes[$uri];
		header('Content-type: text/html; charset=utf8');
	?>
	
<!DOCTYPE html>
<html lang="fr">
	<head>
		<title>TP Web (partie 2)</title>
		<base href="/" />
		<meta charset="UTF-8"/>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<meta name="viewport" content="width=device-width, maximum-scale=1, user-scalable=1">
		<link href="css/tpweb.css" rel="stylesheet" type="text/css">
	</head>
	<body>
		<?php
			include(__DIR__ . '/' . $route);
		?>
	</body>
</html>
	
	<?php
	
	}else{
		$path = str_replace('\\','/', __DIR__) . $uri;
		if(is_file($path)){
			$ext = explode('.', $path);
			$ext = strtolower($ext[count($ext)-1]);
			if(isset($mimes[$ext])){
				$mime = $mimes[$ext];
			}else{
				$finfo = finfo_open(FILEINFO_MIME_TYPE);
				$mime = finfo_file($finfo, $path);
				finfo_close($finfo);
			}
			header('Content-type: ' . $mime);
			if($ext == 'php'){
				include($path);
			}else{
				readfile($path);
			}
		}else{
			http_response_code(404);
		}	
	}
?>
